"use client";
import ReportsArea from "./components/reports-area";
import Model from "../dashboard/components/Model";
import { useTranslations } from "next-intl";
import { useState, useEffect } from "react";
import Servies from "./components/servies";
import Link from "next/link";
import { getWithToken } from "@/Helper/common";

const Dashboard = () => {
  const lang = useTranslations("Index");
  const lang1 = useTranslations("Services")

  const [isOpen, setIsOpen] = useState(true);
  const [loading, setLoading] = useState(true);
  const [kycDetailsData, setKycDetailsData] = useState([]);
  const [userDetailsData, setUserDetailsData] = useState([]);
  const handleClose = () => {
    setIsOpen(false);
  };

  useEffect(() => {
    fetchKycData();
  }, []);

  var apiCall = true;
  const fetchKycData = async () => {
    try {

      if (apiCall) {

        apiCall = false;

        const apiResData = await getWithToken("get-kyc-details");

        if (apiResData.error === false) {
          setKycDetailsData(apiResData.data);
          setUserDetailsData(apiResData.userData);
          setLoading(false);
        }
      }
    } catch (error) {
      console.error("Error fetching slider:", error);
      setLoading(true);
    }
  };


  // if (loading) {
  //   return <div>Loading...</div>;
  // }


  return (
    <>

      {userDetailsData.unique_id != "ADMIN" &&
        kycDetailsData.kyc_status == "Pending" ? (
        <Model />
      ) : null}

      <div className="space-y-6 ml-5">
        <div className="flex items-center flex-wrap justify-between gap-4">
          <div className="text-2xl font-medium text-default-800 ">
            {lang("Services_Dashboard")}
          </div>
          {userDetailsData.unique_id != "ADMIN" &&
            kycDetailsData.kyc_status == "Pending" ? (
            <div
              style={{ height: "50px" }}
              className="flex  items-center bg-warning  w-full"
            >
              <p className=" text-black font-bold text-lg mx-5">
                {lang("Warning")}{" "}
                <Link
                  href="/admin/kyc-update"
                  prefetch={true}
                  class="underline"
                >
                  {lang("Click_here")}
                </Link>{" "}
                {lang("Update_Now")}
              </p>
            </div>
          ) : kycDetailsData.kyc_status == "Update" ?

            <div
              style={{ height: "50px" }}
              className="flex  items-center bg-green-500  w-full"
            >
              <p className=" text-white font-bold text-lg mx-5">
                {lang1("KYC_verification_statement")}
              </p>
            </div>

            : kycDetailsData.kyc_status == "Rejected" ?

              <div

                className="items-center bg-red-500  w-full"
              >
                <p className=" text-white font-bold text-lg mx-5">
                  {lang1("KYC_rejection")} &nbsp;
                  <Link
                    href="/admin/kyc-update"
                    prefetch={true}
                    class="underline text-black "
                  >
                    {lang("Click_here")}
                  </Link> {lang("KYC_rejection_cont")}
                </p>
                <p className=" text-black font-bold text-lg mx-5">
                  {lang("Rejected Remark")} : {kycDetailsData.kyc_remark}
                </p>
              </div>

              : null

          }
        </div>

        {/* services */}
        <div className="col-span-12 md:col-span-8">
          <div className="grid grid-cols-1 sm:grid-cols-2 2xl:grid-cols-1 gap-4">
            <Servies />
          </div>
        </div>

        <div className="grid grid-cols-1 lg:grid-cols-3 gap-6">
          <div className="grid grid-cols-1 sm:grid-cols-2 gap-4">
            {/* <ReportsArea /> */}
          </div>
          {/* <Card>
            <CardHeader className="border-none p-6 pt-5 mb-0">
              <CardTitle className="text-lg font-semibold text-default-900 p-0">
                New vs Returning Visitors
              </CardTitle>
            </CardHeader>
            <CardContent>
              <UserStats />
            </CardContent>
          </Card> */}
          {/* <Card>
            <CardHeader className="border-none p-6 pt-5 mb-0">
              <CardTitle className="text-lg font-semibold text-default-900 p-0">
                Device Breakdown
              </CardTitle>
            </CardHeader>
            <CardContent>
              <UserDeviceReport />
            </CardContent>
          </Card> */}
        </div>
        {/* <div className="col-span-2">
          <Card>
            <CardHeader className="border-none pb-0">
              <div className="flex flex-wrap items-center gap-2">
                <div className="flex-1 text-xl font-semibold text-default-900 whitespace-nowrap">
                  User By Country
                </div>
                <div className="flex-none">
                  <DashboardSelect />
                </div>
              </div>
            </CardHeader>
            <CardContent className="px-5 pb-0">
              <CountryMap />
            </CardContent>
          </Card>
        </div> */}
        {/* <div className="grid grid-cols-12 gap-6">
          <div className="col-span-12 lg:col-span-4">
            <TopTen />
          </div>
          <div className="col-span-12 lg:col-span-8">
            <Card>
              <CardHeader className="border-none pb-0">
                <CardTitle className="pt-2.5">Top Page/Post</CardTitle>
              </CardHeader>
              <CardContent className="px-0">
                <TopPage />
              </CardContent>
            </Card>
          </div>
        </div> */}
      </div >
    </>
  );
};

export default Dashboard;
